Input keywords
**************

This manual documents the input for the MOPAC engine used together
with the AMS driver. If you are not yet familiar with the AMS driver
setup, we highly recommend reading the introductory section in the AMS
manual.

The MOPAC engine is selected and configured in the AMS input with

   Engine MOPAC
      ... keywords documented in this manual ...
   EndEngine

This page documents all keywords of the MOPAC engine input, basically
the contents of the "Engine MOPAC" block in the AMS input file.

General remarks on the input syntax can be found in the AMS manual.

See also:

  The Examples section of this manual contains several example
  calculations


Model Hamiltonian
=================

The most important keyword in the MOPAC engine input is the model
selection:

"Model"
   Type:
      Multiple Choice

   Default value:
      PM7

   Options:
      [AM1, MNDO, MNDOD, PM3, RM1, PM6, PM6-D3, PM6-DH+, PM6-DH2,
      PM6-DH2X, PM6-D3H4X, PM7]

   GUI name:
      Method

   Description:
      Selects the model Hamiltonian to use in the calculation.
      AM1: Use the AM1 Hamiltonian.                   MNDO: Use the
      MNDO Hamiltonian.                   MNDOD: Use the MNDO-d
      Hamiltonian.                   RM1: Use the RM1 Hamiltonian.
      PM3: Use the MNDO-PM3 Hamiltonian.                   PM6: Use
      the PM6 Hamiltonian.                   PM6-D3: Use the PM6
      Hamiltonian with Grimme's D3 corrections for dispersion.
      PM6-DH+: Use the PM6 Hamiltonian with corrections for dispersion
      and hydrogen-bonding.                   PM6-DH2: Use the PM6
      Hamiltonian with corrections for dispersion and hydrogen-
      bonding.                   PM6-DH2X: Use PM6 with corrections
      for dispersion and hydrogen and halogen bonding.
      PM6-D3H4: Use PM6 with Rezac and Hobza's D3H4 correction.
      PM6-D3H4X: Use PM6 with Brahmkshatriya, et al.'s D3H4X
      correction.                   PM7: Use the PM7 Hamiltonian.
      PM7-TS: Use the PM7-TS Hamiltonian (only for barrier heights)

The default PM7 model [2] is the latest parametrization for MOPAC and
should be the most accurate for most calculations.

"Sparkles"
   Type:
      Bool

   Default value:
      No

   Description:
      Represent lanthanides by their fully ionized 3+ sparkles. That
      is, they have no basis set, and therefore cannot have a charge
      different from +3. When using sparkles, the geometries of the
      lanthanides are reproduced with good accuracy, but the heats of
      formation and electronic properties are not accurate.

"UnpairedElectrons"
   Type:
      Integer

   GUI name:
      Spin polarization

   Description:
      If this key is present, a spin-unrestricted calculation with the
      specified number of unpaired electrons is performed. If this key
      is not present the number of unpaired electrons is determined
      automatically (0 for systems with an even number of electrons, 1
      for radicals), and a restricted or unrestricted calculation is
      performed accordingly.


Solvation
=========

Solvation effects can be included via the COSMO model.

   Solvation
      Enabled Yes/No
      NSPA [...]
      Solvent
         Eps float
         Name [...]
         Rad float
      End
   End

"Solvation"
   Type:
      Block

   Description:
      Options for the COSMO (Conductor like Screening Model) solvation
      model.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Use COSMO

      Description:
         Use the Conductor like Screening Model (COSMO) to include
         solvent effects.

   "NSPA"
      Type:
         Multiple Choice

      Default value:
         42

      Options:
         [12, 32, 42, 92, 122, 162, 252, 272, 362, 482, 492, 642, 752]

      GUI name:
         NSPA

      Description:
         Maximum number of COSMO surface points per atom.

   "Solvent"
      Type:
         Block

      Description:
         Solvent details

      "Eps"
         Type:
            Float

         GUI name:
            Dielectric constant

         Description:
            User-defined dielectric constant of the solvent (overrides
            the Eps value of the solvent defined in 'Name')

      "Name"
         Type:
            Multiple Choice

         Default value:
            Water

         Options:
            [CRS, AceticAcid, Acetone, Acetonitrile, Ammonia, Aniline,
            Benzene, BenzylAlcohol, Bromoform, Butanol, isoButanol,
            tertButanol, CarbonDisulfide, CarbonTetrachloride,
            Chloroform, Cyclohexane, Cyclohexanone, Dichlorobenzene,
            DiethylEther, Dioxane, DMFA, DMSO, Ethanol, EthylAcetate,
            Dichloroethane, EthyleneGlycol, Formamide, FormicAcid,
            Glycerol, HexamethylPhosphoramide, Hexane, Hydrazine,
            Methanol, MethylEthylKetone, Dichloromethane,
            Methylformamide, Methypyrrolidinone, Nitrobenzene,
            Nitrogen, Nitromethane, PhosphorylChloride, IsoPropanol,
            Pyridine, Sulfolane, Tetrahydrofuran, Toluene,
            Triethylamine, TrifluoroaceticAcid, Water]

         GUI name:
            Solvent

         Description:
            Name of a pre-defined solvent. A solvent is characterized
            by the dielectric constant (Eps) and the solvent radius
            (Rad).

      "Rad"
         Type:
            Float

         Unit:
            Angstrom

         GUI name:
            Radius

         Description:
            User-defined radius of the solvent molecule (overrides the
            Rad value of the solvent defined in 'Name').


Properties
==========

   Properties
      StaticPolarizability Yes/No
      pKa Yes/No
   End

"Properties"
   Type:
      Block

   Description:
      MOPAC can calculate various properties of the simulated system.
      This block configures which properties will be calculated.

   "StaticPolarizability"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate the static polarizability. An electric field
         gradient is applied to the system, and the response is
         calculated. The dipole and polarizability are calculated two
         different ways, from the change in heat of formation and from
         the change in dipole. A measure of the imprecision of the
         calculation can be obtained by comparing the two quantities.

   "pKa"
      Type:
         Bool

      Default value:
         No

      GUI name:
         pKa

      Description:
         If requested, the pKa of hydrogen atoms attached to oxygen
         atoms is calculated and printed.

The calculation of Natural Bond Orbitals can be requested with the
following keyword:

   CalcLocalOrbitals Yes/No

"CalcLocalOrbitals"
   Type:
      Bool

   Default value:
      No

   Description:
      Compute and print the localized orbitals, also known as Natural
      Bond Orbitals (NBO). This is equivalent to the LOCAL mopac
      keyword.

The calculation of bond orders can be requested in the AMS Properties
block.


Technical settings
==================

   SCF
      CampKingConverger Yes/No
      ConvergenceThreshold float
      MaxIterations integer
   End

"SCF"
   Type:
      Block

   Description:
      Options for the self-consistent field procedure.

   "CampKingConverger"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Use Camp-King

      Description:
         Use the Camp-King SCF converger. This is a very powerful, but
         CPU intensive, SCF converger.

   "ConvergenceThreshold"
      Type:
         Float

      Default value:
         0.0001

      Unit:
         kcal/mol

      Description:
         If the difference in energy between two successive SCF
         iterations is smaller than this value, the SCF procedure is
         considered converged.

   "MaxIterations"
      Type:
         Integer

      Default value:
         2000

      Description:
         Maximum number of SCF iterations.

With the MOZYME method the standard SCF procedure is replaced with a
localized molecular orbital (LMO) method. This can speed-up the
calculation of large molecules. Although a job that uses the MOZYME
technique should give results that are the same as conventional SCF
calculations, in practice there are differences.  Most of these
differences are small, but in some jobs the differences between MOZYME
and conventional SCF calculations can be significant. Use with care.

"Mozyme"
   Type:
      Bool

   Default value:
      No

   Description:
      Replace the standard SCF procedure with a localized molecular
      orbital (LMO) method. The time required for an SCF cycle when
      Mozyme is used scales linearly with system size.


Extra keywords
==============

Finally it is possible to pass any other keywords directly to the
MOPAC program [1]. The full list of keywords can be found on the
standalone MOPAC manual.

   Keywords string

"Keywords"
   Type:
      String

   Description:
      A string containing all the desired custom MOPAC keywords.
      Basically for anything not directly supported through AMS.

These keywords are just literally passed through to MOPAC program
which the AMS MOPAC engine wraps, without any checking in AMS. One
should therefore be very careful with this, as it is very easy to set
up completely non-sensical calculations in this way.

**Note:** The following keywords have been either removed or renamed
in our version of MOPAC and they should not be used in the "Keywords"
key: 0SCF, 1SCF, A0, ADD, AIDER, AIGIN, AIGOUT, ALT_A, ALT_R,
ANGSTROMS, AUTOSYM, BANANA, BAR, BCC, BFGS, BIGCYCLES, BIRADICAL,
CHAINS, COMPARE, CVB, DDMAX, DDMIN, DFORCE, DFP, DMAX, DRC, ECHO, EF,
FLEPO, FORCE, FREQCY, GNORM, H, HTML, INT, IONIZE, IRC, ISOTOPE,
KINETIC, LBFGS, LET, LOCATE, MODE, NOCOMMENTS, NOOPT, NORESEQ, NOSWAP,
NOTER, NOTHIEL, NOTXT, OPT, P, PDB, PDBOUT, POINT, POINT1, POINT2,
RABBIT, RECALC, RMAX, RMIN, SIGMA, SLOG, SMOOTH, SNAP, START_RES,
STEP, STEP1, STEP2, SYBYL, T, THERMO, THREADS, TIMES, TRANS, TS,
VELOCITY, X, XENO, XYZ,, AM1, LOCAL, BONDS, CHARGE, UHF, CAMP, KING,
ITRY, EPS, FIELD, pKa, STATIC, CYCLES, PRESSURE, SPARKLE.
